Analyze (AI)
AI Content API analyzes any webpage and returns AI insights summary, value proposition, features, categories, use cases, and optional contact signals.
Credit cost: 1 credit per call
Autorización
ApiKeyAuth Your API key. Include it in the x-api-key header for every request.
In: header
Parámetros de consulta
The URL of the webpage to capture.
Pass custom response fields to be included in the AI response.
This can be provided in two ways: As a JSON object in the request body As a JSON stringified object in the query parameters
Example:
{ "sentiment": "sentiment", "language": "language"}Add your own instructions to guide the AI’s analysis.
Specify a proxy server to route your request through.
Supports HTTP, HTTPS, and SOCKS5 proxies.
Format: http://username:password@proxy.com:PORT.
Useful for bypassing geo-restrictions and rotating IPs.
Cache the response.
"false"Cache the response for a custom TTL (in seconds).
3600 <= value <= 2592000"2592000"Cuerpo de la respuesta
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/analyze?url=string"{ "data": { "emails": [ "admin@company.com" ], "summary": "Tailwind CSS is a utility-first CSS framework for modern web design.", "useCases": [ "Building websites", "Customizing themes", "Managing CSS specificity" ], "categories": [ "Web Development", "CSS Frameworks", "Frontend Development", "Responsive Design" ], "keyFeatures": [ "Responsive design", "Dark mode", "Animations", "Grid layout" ], "phoneNumbers": [ "+13322767084" ], "targetAudience": "Web developers and designers.", "valueProposition": "A flexible CSS framework packed with utility classes." }, "success": true}{ "error": "Bad Request"}{ "error": "Invalid API Key"}{ "error": "Payment required"}{ "error": "Rate limit exceeded for the API key: quota monthly"}{ "error": "Internal Error"}